---
title: "Gets a paginated list of all devices"
slug: "gets-a-paginated-list-of-all-devices"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/gets-a-paginated-list-of-all-devices"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Gets a paginated list of all devices
Get/api/v2/devices
SecurityHTTPType bearer
Query parametersnamestring
groupNamestring
timezonestringExampleAsia/Kolkata
orgIdstring
hostnamestring
ipstring
connectionTypearray of string
Filter devices by connection type. Availabe values are SSH/RDP/HTTP/HTTPS/VNC/TELNET
sitenamestring
citystring
countrystring
sizeinteger
The number of records to return per page
Default25
pageinteger
The page number. The page number start from 1
Default1
sortarray of string
Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['name', 'hostname', 'ip', 'whenCreated', 'whenChanged']
DefaultwhenCreated:DESCExample[
"name:asc"
]
tagsarray of string
Filter device by tags
siteIdstring
The ID of a particular site to filter
deviceTypestring
Filter device by Type
Responses200
A list of all devices
Expand Allobject authorizationboolean
dataobject pageinteger
results Array of object (Device) object actualIPstring
connectionEndpointAttributesobject (ConnectionEndpoint) applicationProtocolstring ExampleSSH/RDP/HTTP/HTTPS/VNC/TELNET
attributesobject (ConnectionEndpointAttributes) enableFileTransferstring Exampletrue/false
enableWallpaperstring Exampletrue/false
fileTransferPathstring
passwordstring
privatekeystring
privatekey_filenamestring
usernamestring
cepFstateinteger
cepIdinteger
deviceIdinteger
fixedSubdomainstring
groups Array of object (GroupGUID) object namestring
objectGUIDstring
labelstring
networkProtocolstring ExampleTCP
ouId Array of string string
portinteger
subdomainstring
descriptionstring
fStateinteger
fqdnstring
hostnamestring
idstring
ipstring
ipTypestring
locationAttributesobject (LocationAttributes) citystring
continentstring
continentCodestring
countrystring
countryCodestring
countryLatitudenumber
countryLongitudenumber
latitudenumber
longitudenumber
statestring
streetstring
zipcodestring
namestring
organizationobject idstring
levelinteger
namestring
repnetIPstring
siteobject idstring
namestring
networkobject idstring
namestring
siteobject idstring
namestring
statusstring
timezonestring
whenChangedstring
whenCreatedstring
sizeinteger
totalCountinteger
totalPageinteger
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
500
Could not get devices - Internal Server Error
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean